#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
	int a[2];
	char c[2];

	scanf("%s",&c[0],&c[1]);
	scanf("%d %d",&a[0],&a[1]);
	char string[a[0] + a[1]];

	if(abs(a[0] - a[1]) < 2)
	{
		for(int i = 0; i < a[0] + a[1]; i+=2)
			if(a[0] <= a[1])
			{
				string[i] = c[1];
				string[i+1] = c[0];
			}
			else
			{
				string[i] = c[0];
				string[i+1] = c[1];
			}

		for(int i = 0; i < a[0] + a[1]; i++)
			printf("%c",string[i]);
	}
	else
		printf("nemoguce");

	return 0;
}